/*
 * MSP430-Hardware-UART
 * ====================
 *   Uwe Berger; 2013
 * 
 * 
 * 
*/

#ifndef __UART_H
#define __UART_H

#include <stdint.h>

void uart_init(uint16_t baud);
void uart_putc(uint8_t c);
void uart_puts(const char *s);
uint8_t uart_getc(void);
uint8_t uart_get_line(char* buffer, uint8_t buffer_length);
void uart_printf (const char *Buffer,...);
#endif
